<?php

require_once('functions_menu.php');

if ( function_exists('register_sidebar') ) {
    register_sidebars(4);
}
    
if (get_option('phT_autoresolution') == "") {
	$pbr_domain_conifg_file=$_SERVER["HTTP_HOST"]."_config.php";
	$pbr_domain_conifg_file=dirname(__FILE__)."/".$pbr_domain_conifg_file;
	if (file_exists($pbr_domain_conifg_file)) {
		require_once($pbr_domain_conifg_file);
	} else {
		require_once('config_default.inc');
	}
	phT_update_options(); 
}
 
require_once('config.php');

phT_check_resolution();

function phT_check_resolution() {
	//This is a function only for making it readable
	if (phT_autoresolution && isset($_COOKIE["pbr2_screen_res"]) ) {
		$res=$_COOKIE["pbr2_screen_res"];	
		$pbr_screen_res_xy=explode("x",$res);
		$y=$pbr_screen_res_xy[1]-250;	
                if ($y<480) $y=480;
		$x=intval($y/2*3);					
        if ($x>phT_Kx) $x=phT_Kx;
        if ($y>phT_Ky) $y=phT_Ky;
        

	} else { // auto resoltion off
		$x=phT_Kx;
		$y=phT_Ky;
	}
	
	define("phT_x",$x);
	define("phT_y",$y);
	setcookie("pbr2_seted_resolution",phT_x."x".phT_y,time()+3600 ,"/");
}

function phT_isMu() {
	return function_exists("is_site_admin");
}

function phT_isYAPB(){
	return class_exists("Yapb");
}

function phT_isYAPBimage() {
	global $post;
	$r=phT_isYAPB();
	if ($r) $r=!empty($post->image);
	return $r;
}

function phT_imgTag($href,$w,$h,$t) {
	$imgtag='<img src="';
	$imgtag.=$href.'" ';
	$imgtag.='width="'.$w.'" ';
	$imgtag.='height="'.$h.'" ';
	$imgtag.='alt="'.$t.'" title="'.$t.'" />';
	return $imgtag;
}
function phT_getImgTag($post,$size="large") {
	if (phT_isYAPBimage()) {
		return phT_getImgTagYAPB($post,$size);
	} else  {
		return phT_getImgTagNoYAPB($post,$size);
	}
}

function phT_getImgTagYAPB($post,$size="large") {
	$href="none";

	if ($post->image) {
		if ($size=="large") {
			$w=$post->image->width;
			$h=$post->image->height;
			
			
			if ($w<=phT_x && $h<=phT_y) {
				if (phT_isMU()) { //TODO: isMu AND usa subdirectorios
					$thumbnailConfig=array('w='.phT_x,'h='.phT_y,'q=100');
				} else {
					$href=$post->image->getFullHref();				
				}
			} else {	
				$thumbnailConfig=array('w='.phT_x,'h='.phT_y,'q=100');
			}
		} elseif ($size=="medium") {
			$thumbnailConfig=array('w=300','h=300','q=95');
		}else { //thumbs
			if (phT_tx==phT_ty) { //square thumbs 
				$thumbnailConfig=array('ws='.phT_tx,'hs='.phT_tx,'q=95','zc=C');
				$href=$post->image->getThumbnailHref($thumbnailConfig);
				$w=phT_tx;
				$h=phT_tx;
			} else {
				$thumbnailConfig=array('w='.phT_tx,'h='.phT_ty,'q=95');
			}
		}	
		if ($href=="none"){	
			$href=$post->image->getThumbnailHref($thumbnailConfig);
			$w=$post->image->getThumbnailWidth($thumbnailConfig);
			$h=$post->image->getThumbnailHeight($thumbnailConfig);
		}	
		$imgtag=phT_imgTag($href,$w,$h,$t);
	} else {
		$imgtag="";
	}
	return $imgtag;
}

function phT_getImgTagNoYAPB($post,$pSize="large") {
 	//http://codex.wordpress.org/Function_Reference/get_children
	$imgtag="";
	$content=$post->post_content;
	$pos = strpos($content, "<img ");
	if ($pos === false || $pSize!="large") {  //insertar imgenes automticamente, solo si no hay ninguna en el contenido
		$images =& get_children( 'post_parent='.$post->ID.'&post_type=attachment&post_mime_type=image&orderby=menu_order' );
		if ( !empty($images) ) {
			while ($attachment=array_pop($images)){
				$imgtag=$imgtag." ".wp_get_attachment_image($attachment->ID, $size=$pSize, $icon = false);
				if ($pSize=="thumbnail") break;
			}
		} 
	}
	return $imgtag;
}

function phT_getImgTagNoYAPB_old($post,$pSize="large") {
 	//http://codex.wordpress.org/Function_Reference/get_children
	
	$images =& get_children( 'post_parent='.$post->ID.'&post_type=attachment&post_mime_type=image' );
	if ( !empty($images) ) {
		$attachment=array_pop($images); // a photoblog should have only an image per post
		unset($images);
		// http://codex.wordpress.org/Function_Reference/wp_get_attachment_image
		$imgtag=wp_get_attachment_image($attachment->ID, $size=$pSize, $icon = false);
	} else {
		// no attachments here
		$imgtag="";
	}

	return $imgtag;
}

function phT_showImage() {
	global $post,$wpdb;

	$imgtag=phT_getImgTag($post,"large");
	
	if ($imgtag!="") {
		echo '<div class="img-cont">';

	    $imgtag=phT_getImgTag($post,"large");
	
		$previous = get_previous_post(false);
		if ($previous) { 
			$previous_link = get_permalink($previous);
		} elseif (is_home()) {
		    // This code is only execute on is_home()...
    	    // From Taly's SimpleT theme http://www.taly.com.ar/simplet adding post_type = 'post'
    	    $sql="SELECT ID FROM $wpdb->posts WHERE post_date < '$post->post_date' AND post_type <> 'page' AND post_status = 'publish' ORDER BY post_date DESC LIMIT 0, 1";
    		$previous = @$wpdb->get_var($sql);
    		if ($previous) { // TODO: This query asumes the previous post has una image...
    			$previous_link = get_permalink($previous); 
    		}		    
		}
	
		//muestra la imagen
		if ($previous_link) {
			echo '<a href="'.$previous_link.'">'.$imgtag."</a>\n" ;
		} else {
			echo $imgtag."\n";
		}
		echo "</div>\n"; //fin del contenedor de imagen
		
	}
	return ($imgtag!="");
}

function phT_WPQ() {
	global $wp_query, $posts;
	
	//var_dump($wp_query->query_vars);
	$tmp_q=$wp_query->query_vars;
	$tmp_q["posts_per_page"]=100;
	
	$wp_query = null;
	$wp_query = new WP_Query();
	$wp_query->query($tmp_q);
	
	$posts = null;
	$posts = $wp_query->posts;
	
	
	//echo "<br/><br/>despues<br/><br/>";
	//var_dump($wp_query->query_vars);
	
}

function phT_showNav() {
	global $post,$wpdb;

	
	$previous = get_previous_post(false);
	if ($previous) { 
		$previous_link = get_permalink($previous);
	} elseif (is_home()) {
	    // This code is only execute on is_home()...
   	    // From Taly's SimpleT theme http://www.taly.com.ar/simplet adding post_type = 'post'
   	    $sql="SELECT ID FROM $wpdb->posts WHERE post_date < '$post->post_date' AND post_type <> 'page' AND post_status = 'publish' ORDER BY post_date DESC LIMIT 0, 1";
   		$previous = @$wpdb->get_var($sql);
   		if ($previous) { // TODO: This query asumes the previous post has una image...
   			$previous_link = get_permalink($previous); 
   		}		    
	}
	
	$next = get_next_post(false);
	if ($next) { 
		$next_link = get_permalink($next);
	}		

       	
	echo '<div id="navigation" class="inside">'."\n";
	if ($previous_link) {
		echo '<div class="prev"><a href="'.$previous_link.'" title="'._("previous image").'">'.phT_prev_arrow."</a></div>\n";
	}
    if (phT_exif) {
        echo '<div class="exif">';
   	    $exif = yapb_get_exif();
           foreach ($exif as $key => $value):
               echo "$key:$value ";
           endforeach;	     				 
           echo "</div>\n";
       }
	if ($next_link) echo '<div class="next"><a href="'.$next_link.'" title="'._("next image").'" >'.phT_next_arrow."</a></div>\n";	
		    
     
    echo "</div>\n";
	
}

require_once 'functions_menu.php';
require_once 'functions_rss.php';
?>