<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">

<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<meta name="title" content="<?php wp_title(); ?>" />
<title><?php bloginfo('name'); ?> &raquo; <?php bloginfo('description'); ?> <?php wp_title(); ?></title>

<meta name="description" content="<?php bloginfo('name'); ?> <?php bloginfo('description'); ?> <?php wp_title(); ?> " />
<meta name="keywords" content="<?php $posttags = get_the_tags(); if (!empty($posttags)) foreach($posttags as $tag) { echo htmlspecialchars($tag->name).", "; }; ?>" />
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<?php  require_once('dynamic_css.php'); ?>

<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="service.feed" type="application/x.atom+xml" title="<?php bloginfo('name'); ?> - ATOM Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> Comments Feed" href="<?php bloginfo('comments_rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php if (phT_isYAPBimage()) : ?>
	<link rel="image_src" type="image/jpeg" href="<?php if(!empty($post->image)){ echo $post->image->getFullHref(); } ?>" />
	<meta property="og:image" content="<?php if(!empty($post->image)){ echo $post->image->getFullHref(); } ?>" />
<?php endif; ?>

<link rel="shortcut icon" href="<?php echo phT_favicon ?>" />

<?php require_once('get_resolution.php'); ?>
<?php wp_head(); ?>
</head>
<body>
<div id="page">

<?php if (!defined('phT_no_header')) : ?>
<div id="header">
	<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
	<ul>
		<?php if ( !dynamic_sidebar(4) ) : ?>
			<?php wp_list_pages('depth=1&title_li=&sort_column=menu_order&sort_order=ASC');?>
			<?php if (defined("phT_mosaic")) if (phT_mosaic!="") {echo '<li><a href="'.phT_mosaic.'">'.phT_mosaic_string.'</a></li>'; } ; ?>
		<?php endif; ?>
	</ul>	
	<div style="clear:both;"></div>		
</div>
<?php endif; ?>

<div id="space" />		
